RagTimeSpreadsheetInternal::ComplexBlock Struct Reference

Internal: header of a complex block of a RagTimeSpreadsheet. More...

## Classes
struct | Zone
| a small zone of a ComplexBlock More...

## Public Member Functions
| ComplexBlock ()
| constructor

## Public Attributes
std::vector< Zone > | m_zones
| the list of zone
std::vector< int > | m_intList
| a list of unknown counter

## Detailed Description

Internal: header of a complex block of a RagTimeSpreadsheet.

## Constructor & Destructor Documentation

## ◆ ComplexBlock()

RagTimeSpreadsheetInternal::ComplexBlock::ComplexBlock | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_intList

std::vector<int> RagTimeSpreadsheetInternal::ComplexBlock::m_intList

a list of unknown counter

Referenced by ComplexBlock(), RagTimeSpreadsheet::readBlockHeader(), and RagTimeSpreadsheet::readSpreadsheetComplexStructure().

## ◆ m_zones

std::vector<Zone> RagTimeSpreadsheetInternal::ComplexBlock::m_zones

the list of zone

Referenced by ComplexBlock(), RagTimeSpreadsheet::readBlockHeader(), and RagTimeSpreadsheet::readSpreadsheetComplexStructure().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx